version: '3'

services:
  event-composer:
    container_name: event-composer
    build: .
    volumes:
      - '.:/event-composer'
    command: bash -c "java -jar target/event-composer-0.0.1-SNAPSHOT.jar"
    environment:
      RABBITMQ_HOST: '192.168.10.59'
      RABBITMQ_USERNAME: 'guest'
      RABBITMQ_PASSWORD: 'guest'
      REGISTER_METHOD: 'target'
      EXCHANGE_NAME: 'EXCHANGE'
      EVENT_PREFIX: 'INTCT'
#      INTERSCITY_HOST: '192.168.10.59'
#      INTERSCITY_PORT: '8000'
      RESOURCE_CATALOGER_URL: 'http://cidadesinteligentes.lsdi.ufma.br/catalog/resources'
      REDIS_HOST: "redis-event-composer" #ip local
      REDIS_PORT: 6379

networks:
  default:
    external:
      name: platform 
